package com.jiayue.ipfcst.common.core.exception;

import lombok.NoArgsConstructor;

/**
 * 业务异常
 *
 * @author zzy
 * @version 2.0
 * @since 2018/10/11 11:08
 */
@NoArgsConstructor
public class BusinessException extends Exception{

    public BusinessException(String message) {
        super(message);
    }

    public BusinessException(String message, Throwable cause) {
        super(message, cause);
    }

    public BusinessException(Throwable cause) {
        super(cause);
    }

    public BusinessException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}